from parallels.core.utils.entity import Entity


class SpamAssassinMailName(Entity):
    def __init__(self, mail_name_id, name, flt_enabled, rw_subject_tag, hits_required, spam_action):
        self._mail_name_id = mail_name_id
        self._name = name
        self._flt_enabled = flt_enabled
        self._rw_subject_tag = rw_subject_tag
        self._hits_required = hits_required
        self._spam_action = spam_action

    @property
    def mail_name_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_name_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def flt_enabled(self):
        """
        :rtype: str | unicode
        """
        return self._flt_enabled

    @property
    def rw_subject_tag(self):
        """
        :rtype: str | unicode
        """
        return self._rw_subject_tag

    @property
    def hits_required(self):
        """
        :rtype: str | unicode
        """
        return self._hits_required

    @property
    def spam_action(self):
        """
        :rtype: str | unicode
        """
        return self._spam_action
